Subject: Re: [PATCH v2] Net Driver: Add Cypress GX3 VID=04b4 PID=3610.

From: Greg KH <[email-masked]>
Date: Tue, 27 Sep 2016 17:40:26 +0200

On Mon, Sep 26, 2016 at 03:56:59PM -0600, Chris Roth wrote:
> I'm not sure what I'm doing wrong:
> 
> I'm trying to get the from statement to read original author (Allan
> Chou) first, and then me (Chris Roth) second. I've used the following
> two commands:
> 
> git format-patch -o /tmp/ --subject-prefix="PATCH v2" --from="Allan
> Chou <[email-masked]>" HEAD^
> 
> and
> 
> git send-email --to [email-masked] --to
> [email-masked] --to [email-masked] --from="Allan
> Chou <[email-masked]>"
> /tmp/0001-Net-Driver-Add-Cypress-GX3-VID-04b4-PID-3610.patch
> 
> I thought that adding the --from portions to the git format-patch and
> git send-email commands would force the addition of Allan to the top
> of the patch, but it hasn't. Can anyone tell me specifically how I
> need to change these commands in order to get the desired result? Then
> I'll submit a PATCH v3.

Take the patch that you have, hand-edit it with your favorite editor to
have the correct headers and signed-off-by and other fields, and then
use git send-email without the --from line, and you should be fine.

thanks,

greg k-h